//
// GS2 master header
//
// Purpose ... class definitions and defined constants for GS2
//
// (c) Andrew Stokes (ADSWNJ) 2012
//
// All rights reserved
//


#ifndef RED
#define RED RGB(255, 0, 0)
#define GREEN RGB(0, 255, 0)
#define YELLOW RGB(255, 255, 0)
#define DARK_YELLOW RGB(128, 128, 0)
#define DARK_GREEN RGB(0, 128, 0)
#define WHITE RGB(255, 255, 255)
#define BLACK RGB(0, 0, 0)
#define BLUE RGB(0, 0, 255)
#define DARK_BLUE RGB(0, 0, 168)
#define GRAY RGB(160, 160, 160)
#define BRIGHTERGRAY RGB(200, 200, 200)
#endif


class Glideslope: public MFD {
public:
  VESSEL *vessel;
  int lapId;

  Glideslope (DWORD w, DWORD h, VESSEL *v, UINT im);
  ~Glideslope ();
  char *ButtonLabel (int bt);
  int ButtonMenu (const MFDBUTTONMENU **menu) const;
  bool ConsumeKeyBuffered (DWORD key);
  bool ConsumeButton (int bt, int event);
  void Update (HDC hDC);
  bool units;
  void LoadConfig();
  void LoadDefaultConfig();
  void LoadDefaultGlideslopeConfig (); 
  void LoadPreferredGlideslopeConfig (char *PrefFile);
  void getMainThrustParm(VESSEL* vessel, double *F, double *isp);
  void VScale(HDC hDC,int pen,char* metFmt,char* usFmt,double usFactor, double ref, double act, double min, double max, int x, double lowarn, double hiwarn);
 
  void VTape(HDC hDC,char *title,char *metUnit,char* usUnit,int radius, int minor,double usFactor,double ref,double act,int x1, int x2);
  void HScale(HDC hDC,int pen,char* metUnit,char* usUnit,double usFactor,             double act, double min, double max, int y, bool top, double lowarn, double hiwarn);
  static int MsgProc (UINT msg, UINT mfd, WPARAM wparam, LPARAM lparam);
  int width,height,mid;
  int line( int );

  int imfd; 
  int gutsMFDref;
  int mode;
  int jumpmode;



  int MapX(double x);
  int MapY(double y);
  int MapX(AZ_RANGE a);
  int MapY(AZ_RANGE a);
  double ZoomX,OfsX,ZoomY,OfsY,ZoomMap;
  bool ManZoomToggle; 
  double MinZoomX,MinZoomY,MinZoomMap;

  //Logging
  void LogTitle();
  void LogLine();
  GlideslopeCore* G;

  HBRUSH blueBrush;
  HBRUSH dkblueBrush;
  HBRUSH blackBrush;
  HPEN whitePen;
  HPEN yellowPen;
};
